Bug 1508332 - (php-icewind-smb2) Review Request: php-icewind-smb2 - php wrapper for smbclient and libsmbclient-php
Review Request: php-icewind-smb2 - php wrapper for smbclient and libsmbclient...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1433919
  Show dependency treegraph
 
Reported: 2017-11-01 04:42 EDT by Remi Collet
Modified: 2018-01-02 11:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-02 11:22:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2017-11-01 04:42:10 EDT
Spec URL: https://git.remirepo.net/cgit/rpms/php/icewind/php-icewind-smb2.git/plain/php-icewind-smb2.spec?id=20b8a6f1c9312c97759b25d50ceb04eb03021c65
SRPM URL: http://rpms.remirepo.net/SRPMS/php-icewind-smb2-2.0.2-1.remi.src.rpm
Description: 
PHP wrapper for smbclient and libsmbclient-php

* Reuses a single smbclient instance for multiple requests
* Doesn't leak the password to the process list
* Simple 1-on-1 mapping of SMB commands
* A stream-based api to remove the need for temporary files
* Support for using libsmbclient directly trough libsmbclient-php

Autoloader: /usr/share/php/Icewind/SMB2/autoload.php


Fedora Account System Username: remi
Comment 3 William Moreno 2017-12-15 22:59:08 EST
Package Review
==============

Not bloquers here, package aproved

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Rpmlint
-------
Checking: php-icewind-smb2-2.0.3-1.fc28.noarch.rpm
          php-icewind-smb2-2.0.3-1.fc28.src.rpm
php-icewind-smb2.noarch: W: spelling-error Summary(en_US) smbclient -> clientele
php-icewind-smb2.noarch: W: spelling-error Summary(en_US) libsmbclient -> clientele
php-icewind-smb2.noarch: W: summary-not-capitalized C php wrapper for smbclient and libsmbclient-php
php-icewind-smb2.noarch: W: spelling-error %description -l en_US smbclient -> clientele
php-icewind-smb2.noarch: W: spelling-error %description -l en_US libsmbclient -> clientele
php-icewind-smb2.noarch: W: spelling-error %description -l en_US api -> API, pi, ape
php-icewind-smb2.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-icewind-smb2.src: W: spelling-error Summary(en_US) smbclient -> clientele
php-icewind-smb2.src: W: spelling-error Summary(en_US) libsmbclient -> clientele
php-icewind-smb2.src: W: summary-not-capitalized C php wrapper for smbclient and libsmbclient-php
php-icewind-smb2.src: W: spelling-error %description -l en_US smbclient -> clientele
php-icewind-smb2.src: W: spelling-error %description -l en_US libsmbclient -> clientele
php-icewind-smb2.src: W: spelling-error %description -l en_US api -> API, pi, ape
php-icewind-smb2.src: W: spelling-error %description -l en_US usr -> use, us, user
php-icewind-smb2.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 15 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
php-icewind-smb2.noarch: W: spelling-error Summary(en_US) smbclient -> clientele
php-icewind-smb2.noarch: W: spelling-error Summary(en_US) libsmbclient -> clientele
php-icewind-smb2.noarch: W: summary-not-capitalized C php wrapper for smbclient and libsmbclient-php
php-icewind-smb2.noarch: W: spelling-error %description -l en_US smbclient -> clientele
php-icewind-smb2.noarch: W: spelling-error %description -l en_US libsmbclient -> clientele
php-icewind-smb2.noarch: W: spelling-error %description -l en_US api -> API, pi, ape
php-icewind-smb2.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-icewind-smb2.noarch: W: invalid-url URL: https://github.com/icewind1991/SMB <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 8 warnings.

Source checksums
----------------
https://github.com/icewind1991/SMB/archive/8394551bf29a37b884edb33dae8acde369177f32/php-icewind-smb2-2.0.3-8394551.tar.gz :
  CHECKSUM(SHA256) this package     : f00b3ab998fe19f2f5e1310bd06965ca575e9e1198d090fe19d9165036926398
  CHECKSUM(SHA256) upstream package : f00b3ab998fe19f2f5e1310bd06965ca575e9e1198d090fe19d9165036926398
Comment 5 Gwyn Ciesla 2017-12-18 07:32:10 EST
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-icewind-smb2
Comment 6 Fedora Update System 2017-12-18 08:13:53 EST
php-icewind-smb2-2.0.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a6ae84a0c4
Comment 7 Fedora Update System 2017-12-18 08:14:03 EST
php-icewind-smb2-2.0.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f22dd61331
Comment 8 Fedora Update System 2017-12-18 17:02:06 EST
php-icewind-smb2-2.0.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f22dd61331
Comment 9 Fedora Update System 2017-12-18 17:40:14 EST
php-icewind-smb2-2.0.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a6ae84a0c4
Comment 10 Fedora Update System 2018-01-02 11:22:41 EST
php-icewind-smb2-2.0.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2018-01-02 11:50:35 EST
php-icewind-smb2-2.0.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.